#!/bin/bash

#This script installs all of the necessary dependencies to build all packages for subo r&d:

#kicad
#freecad
#blender
#openvsp
#gprmax
#gnuoctave
#crosstool-ng
#document production
#etc

#We also have (many) supply chain dependency packages in here as well , as they are generally useful tools . Any specific libraries etc for supply chain would be found in the deps scripts
#in ../scripts-SupplyChain



apt-get -y install build-essential zsh cmake python3-dev git git-gui cmake libxml2-dev libfltk1.3-dev g++ libcpptest-dev libjpeg-dev libglm-dev libeigen3-dev libcminpack-dev libglew-dev swig doxygen graphviz texlive-latex-base build-essential git subversion cmake libx11-dev libxxf86vm-dev libxcursor-dev libxi-dev libxrandr-dev libxinerama-dev libglew-dev zlib1g-dev libzstd-dev libcurl4-openssl-dev libcairo-dev libngspice0-dev liboce-foundation-dev liboce-visualization-dev liboce-ocaf-dev python-all-dev python-wxgtk3.0-dev libwxgtk3.0-gtk3-dev libgtk-3-dev python3-pivy ninja-build cmake cmake-gui libboost-date-time-dev libboost-dev libboost-filesystem-dev libboost-graph-dev libboost-iostreams-dev libboost-program-options-dev libboost-python-dev libboost-regex-dev libboost-serialization-dev libboost-thread-dev libcoin-dev libeigen3-dev libgts-bin libgts-dev libkdtree++-dev libmedc-dev libopencv-dev libproj-dev libpyside2-dev libqt5opengl5-dev libqt5svg5-dev libqt5webkit5-dev libqt5x11extras5-dev libqt5xmlpatterns5-dev libshiboken2-dev libspnav-dev libvtk7-dev libx11-dev libxerces-c-dev libzipios++-dev occt-draw pyside2-tools python3-dev python3-matplotlib python3-pivy python3-ply python3-pyside2.qtcore python3-pyside2.qtgui python3-pyside2.qtsvg python3-pyside2.qtwidgets qtbase5-dev qttools5-dev swig libsimage-dev doxygen libspnav-dev checkinstall python3-dev git git-gui cmake libxml2-dev libfltk1.3-dev g++ libcpptest-dev libjpeg-dev libglm-dev libeigen3-dev libcminpack-dev libglew-dev swig doxygen graphviz texlive-latex-base texlive-fonts-recommended texlive-fonts-extra python3-dev git git-gui cmake libxml2-dev libfltk1.3-dev g++ libcpptest-dev libjpeg-dev libglm-dev libeigen3-dev libcminpack-dev libglew-dev swig doxygen graphviz texlive-latex-base gcc g++ gfortran make libblas-dev liblapack-dev libpcre3-dev libarpack2-dev epstool libfftw3-dev fig2dev libfltk1.3-dev libfontconfig1-dev libfreetype6-dev libgl2ps-dev libglpk-dev libreadline-dev gnuplot-x11 libgraphicsmagick++1-dev libhdf5-dev openjdk-8-jdk libsndfile1-dev llvm-dev texinfo libgl1-mesa-dev libosmesa6-dev pstoedit portaudio19-dev libqhull-dev libqrupdate-dev libsuitesparse-dev texlive-latex-extra libxft-dev zlib1g-dev autoconf automake bison flex gperf gzip icoutils librsvg2-bin libtool perl rsync tar qtbase5-dev qttools5-dev qttools5-dev-tools libqscintilla2-qt5-dev libsundials-dev gcc g++ gperf bison flex texinfo help2man make libncurses5-dev python3-dev autoconf automake libtool libtool-bin gawk wget bzip2 xz-utils unzip patch libstdc++6 rsync git bc bison flex libssl-dev make libc6-dev libncurses5-dev build-essential autoconf autogen bison dejagnu flex flip gawk git gperf gzip nsis openssh-client p7zip-full perl python-dev libisl-dev scons tcl texinfo tofrodos wget zip texlive texlive-extra-utils libncurses5-dev debootstrap squashfs-tools xorriso isolinux syslinux-efi grub-pc-bin grub-efi-amd64-bin mtools build-essential ccache ecj fastjar file g++ gawk gettext git java-propose-classpath libelf-dev libncurses5-dev libncursesw5-dev libssl-dev python python2.7-dev python3 unzip wget python3-distutils python3-setuptools rsync subversion swig time xsltproc zlib1g-dev


#problem children...

#libcurl4-gnutls-dev 

#libocct-data-exchange-dev 
#libocct-ocaf-dev 
#libocct-visualization-dev 

#python3-pyside2uic 
